package com.jeeplus.finance.invoice.domain.OMS.InvoiceDown;
import java.math.BigDecimal;

/**
 * 代收车船税信息实体类
 * 用于发票中代收车船税相关的特定信息
 */
public class OMSDownVehicleVesselInfo {
    /**
     * 保险单号
     * 非必填，40个字节
     */
    private String policyNo;

    /**
     * 车牌号
     * 非必填，40个字节
     */
    private String carNo;

    /**
     * 税款所属期
     * 非必填，15个字节
     */
    private String taxPeriod;

    /**
     * 代收车船税金额
     * 非必填，保留2位小数
     */
    private BigDecimal amount;

    /**
     * 滞纳金金额
     * 非必填，保留2位小数
     */
    private BigDecimal lateFeeAmount;

    /**
     * 金额合计
     * 非必填，保留2位小数
     */
    private BigDecimal totalamount;

    /**
     * 车辆识别代码/车架号码
     * 非必填，17个字节
     */
    private String frameNo;

    public String getPolicyNo() {
        return policyNo;
    }

    public void setPolicyNo(String policyNo) {
        this.policyNo = policyNo;
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    public String getTaxPeriod() {
        return taxPeriod;
    }

    public void setTaxPeriod(String taxPeriod) {
        this.taxPeriod = taxPeriod;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getLateFeeAmount() {
        return lateFeeAmount;
    }

    public void setLateFeeAmount(BigDecimal lateFeeAmount) {
        this.lateFeeAmount = lateFeeAmount;
    }

    public BigDecimal getTotalamount() {
        return totalamount;
    }

    public void setTotalamount(BigDecimal totalamount) {
        this.totalamount = totalamount;
    }

    public String getFrameNo() {
        return frameNo;
    }

    public void setFrameNo(String frameNo) {
        this.frameNo = frameNo;
    }
}
